Bug 835527 - [abrt] eekboard-1.0.7-2.fc17: set_keyboards: Process /usr/bin/eekboard was killed by signal 11 (SIGSEGV)
[abrt] eekboard-1.0.7-2.fc17: set_keyboards: Process /usr/bin/eekboard was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eekboard (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
abrt_hash:6583ae6b97611620a2c8956604c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 07:57 EDT by Mehmet Köse
Modified: 2012-09-17 18:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.51 KB, text/plain)
2012-06-26 07:57 EDT, Mehmet Köse
no flags Details
File: maps (23.61 KB, text/plain)
2012-06-26 07:57 EDT, Mehmet Köse
no flags Details
File: dso_list (4.81 KB, text/plain)
2012-06-26 07:57 EDT, Mehmet Köse
no flags Details

  None (edit)
Description Mehmet Köse 2012-06-26 07:57:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        eekboard
comment:        I removed all layouts.
crash_function: set_keyboards
executable:     /usr/bin/eekboard
kernel:         3.4.3-1.fc17.x86_64
pid:            11034
pwd:            /home/mehmet
time:           Tue 26 Jun 2012 02:36:08 PM EEST
uid:            1000
username:       mehmet

backtrace:      Text file, 24076 bytes
dso_list:       Text file, 4929 bytes
maps:           Text file, 24175 bytes

build_ids:
:d30a0480f534f670fdc0fce83749aa76a8a9433d
:8b33feb27b2125997520fdd21c90c42a65e438f1
:99c23b21038c62b0628b93610fb54c5900c40ffd
:faca16f15d87b83d2947a386e319b02f724dcbb5
:54a5cc118d928470da13565de8592b664a9868e0
:4c9c864a7c7b7ed702088955821d58137803462d
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:8cd460b225d59eeb582dca4bc3c997355b101c70
:74d13574ebaf427a50d12336c5c3b9be038d1b27
:b277af36744327e3d58eae76bcdaadcca71a28c6
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:31243d0d107bba586a96433c76c87a26db1e826c
:6947e315f0765bf884ecc222d91945a1e2ed8767
:253afe744466fe7580bbb6040de6183dba9e2b02
:127f8958b602715234a02b88adb08afd9e34c203
:f549a5d6de3e683d432a578595485e0051b7bc15
:f64b7319b84d426ed547084bdb2577f4f596c18f
:508cf66f72e70054a41215f80ed2385c6bb80030
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:67792c148d2b8f13f6732c9367e926c26d7376c5
:247132297f287226a24c12e683292f5c94013066
:63651cdc0224824a9c9324c77c3b5887378e871d
:8aca4918dbe4e3666b9b9dc4353d63001c0a329a
:c4ec0971b2dcee71aaf8374975474054245fea00
:7eb10e81cf49360e21889663eb0672cdfa03bf12
:822e9b3523e8312240f41a25722d539bc77ed436
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:d804f8ee47797da9213a92f00cd095ecada8d79f
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:150abc62b09302ea45d832e9786d85691ce59249
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mehmet/9

core_backtrace:
:74d13574ebaf427a50d12336c5c3b9be038d1b27 0x47e5 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0x17783 g_object_set_property libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa84b1 - libgio-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x124a7 g_cclosure_marshal_VOID__STRINGv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa8601 - libgio-2.0.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x1066b g_cclosure_marshal_generic_va libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa8936 - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa4d1a - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:74d13574ebaf427a50d12336c5c3b9be038d1b27 0x34dd - [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=9
:SSH_AGENT_PID=9800
:HOSTNAME=decaf.hell
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/mehmet/.gnupg/S.gpg-agent:9831:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5689f558c39a2e788ec9758c0000000a-1340708541.141070-720494035
:GTK2_RC_FILES=/home/mehmet/.config/xfce4/gtkrc
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/mehmet/keyring-GGxE7u
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mehmet
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-TKwbklJm9669/agent.9669
:USERNAME=mehmet
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/mehmet
:DESKTOP_SESSION=xfce
:PATH=/home/mehmet/eksoft:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mehmet/.local/bin:/home/mehmet/bin
:QT_IM_MODULE=xim
:PWD=/home/mehmet
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=9667
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/mehmet
:XDG_SEAT=seat0
:LOGNAME=mehmet
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DtzArbsy3p,guid=d8527f8b8aa1fd557a67f91800004674
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/mehmet
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-mehmet-mZJfnr/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/9840,unix/unix:/tmp/.ICE-unix/9840
:DISPLAY=:0.0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15855                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15855                15855                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mehmet/.xsession-errors
:pos:	5742
:flags:	0102002
:2:/home/mehmet/.xsession-errors
:pos:	5742
:flags:	0102002
:3:socket:[2015557]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[2014286]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Jun 26 14:36:08 decaf kernel: [20063.231397] eekboard[11034]: segfault at 0 ip 00000000004047e5 sp 00007ffff1b81170 error 4 in eekboard[400000+7000]
:Jun 26 14:36:08 decaf abrt[11115]: Saved core dump of pid 11034 (/usr/bin/eekboard) to /var/spool/abrt/ccpp-2012-06-26-14:36:08-11034 (18878464 bytes)
Comment 1 Mehmet Köse 2012-06-26 07:57:53 EDT
Created attachment 594451 [details]
File: backtrace
Comment 2 Mehmet Köse 2012-06-26 07:57:56 EDT
Created attachment 594452 [details]
File: maps
Comment 3 Mehmet Köse 2012-06-26 07:57:58 EDT
Created attachment 594453 [details]
File: dso_list
Comment 4 Fedora Update System 2012-08-15 05:40:43 EDT
ibus-m17n-1.3.4-4.fc18,eekboard-1.0.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-m17n-1.3.4-4.fc18,eekboard-1.0.8-1.fc18
Comment 5 Fedora Update System 2012-08-15 11:57:51 EDT
Package ibus-m17n-1.3.4-4.fc18, eekboard-1.0.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-m17n-1.3.4-4.fc18 eekboard-1.0.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11896/ibus-m17n-1.3.4-4.fc18,eekboard-1.0.8-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-17 18:13:15 EDT
ibus-m17n-1.3.4-4.fc18, eekboard-1.0.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.